// prettier.config.js
module.exports = {
  plugins: ["prettier-plugin-tailwindcss"],
  printWidth: 100, // 每行最多 100 个字符
  tabWidth: 2, // 每个缩进使用 2 个空格
  useTabs: false, // 使用空格而不是制表符
  semi: true, // 语句末尾加分号
  singleQuote: true, // 使用单引号表示字符串
  quoteProps: "as-needed", // 对象属性名仅在必要时使用引号
  jsxSingleQuote: false, // JSX 使用双引号
  trailingComma: "none", // 不添加尾逗号
  bracketSpacing: true, // 对象花括号内有空格
  jsxBracketSameLine: false, // JSX 的 `>` 换行
  arrowParens: "always", // 箭头函数参数始终带括号
  rangeStart: 0, // 从文件开始格式化
  rangeEnd: Infinity, // 格式化到文件结尾
  requirePragma: false, // 不需要特定注释
  insertPragma: false, // 不插入注释
  proseWrap: "preserve", // 保持原有换行
  htmlWhitespaceSensitivity: "css", // 按 CSS 规则处理 HTML 空白
  endOfLine: "lf", // 使用换行符 LF
};
